mulaichatDocs
GuidesDeveloperAPI ReferenceChangelog
Ideas
POST
/v1/idea-columns

Added on the right. At most 20 columns (422 idea_column_limit).

Requires the write scope.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Header Parameters

mulaichat-workspace?string

Limits an owner key to one profile (id or external_id). Unknown: 404 profile_not_found.

Request Body

application/json
  1. body
name*string
Length1 <= length <= 50

Response Body

The column.

application/json
  1. response
id*string
Formatuuid
name*string
ideas*array<>
Example Request
curl -X POST 'https://api.mulaichat.com/v1/idea-columns' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "ideas": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",      "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",      "text": "string",      "truncated": true,      "media": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "type": "image",          "expired": true,          "public_url": "string",          "poster_url": "string",          "alt_text": "string",          "original_name": "string"        }      ],      "used_in_posts": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}

On this page